#define spriteBlank 0
#define spritePacmanRight1 1
#define spritePacmanRight2 2
#define spritePacmanUp1 3
#define spritePacmanUp2 4
#define spritePacmanDown1 5
#define spritePacmanDown2 6
#define spriteGhostRightHunting 7
#define spriteGhostRightRunning 8
#define spritePellet 9
#define spriteSuperPellet 10
#define spriteWallRight 11
#define spriteWallAbove 12
#define spriteWallLeft 13
#define spriteWallBelow 14

#define spriteR 15
#define spriteE 16
#define spriteA 17
#define spriteD 18
#define spriteY 19
#define spriteBang 20

#define spriteEntering 0x20
#define spriteShifted 0x40
#define spriteReversed 0x80
#define spriteMask 0x1F

const uint8_t sprites [] PROGMEM = {
    // Empty passage
    0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // 0
    // Pacman facing right, mouth open
    0x3C,0x7E,0xFF,0xFB,0xEF,0xE7,0x62,0x20, // 1
    // Pacman facing right, mouth closed
    0x3C,0x7E,0xFF,0xFB,0xFF,0xFF,0x7E,0x3C, // 2
    // Pacman going up, mouth open
    0x3C,0x7E,0xEC,0xF8,0xF0,0xFF,0x7E,0x3C, // 3
    // Pacman going up, mouth closed
    0x3C,0x7E,0xEF,0xFF,0xFF,0xFF,0x7E,0x3C, // 4
    // Pacman going down, mouth open
    0x3C,0x7E,0xFF,0x0F,0x1F,0x37,0x7E,0x3C, // 5
    // Pacman going down, mouth closed
    0x3C,0x7E,0xFF,0xFF,0xFF,0xF7,0x7E,0x3C, // 6

    // Ghost facing right, hunting
    0xFC,0x7E,0x73,0xF7,0x7F,0xF3,0x77,0xFE, // 7
    // Ghost facing right, running
    0xFC,0x42,0x41,0xC9,0x41,0xC9,0x41,0xFE, // 8
    // Pellet
    0x00,0x00,0x00,0x18,0x18,0x00,0x00,0x00, // 9
    // Power-up pellet
    0x00,0x18,0x3C,0x7E,0x7E,0x3C,0x18,0x00, // 10

    // Wall with wall to right
    //0x00,0x18,0x24,0x42,0x42,0x66,0x7E,0x42, // 11
    0x00,0x00,0x18,0x24,0x24,0x3C,0x24,0x24, // 11
    // Wall with wall above
    //0x00,0x1F,0x26,0x42,0x42,0x26,0x1F,0x00, // 12
    0x00,0x00,0x1F,0x24,0x24,0x1F,0x00,0x00, // 12
    // Wall with wall to left
    //0x42,0x7E,0x66,0x42,0x42,0x24,0x18,0x00, // 13
    0x24,0x24,0x3C,0x24,0x24,0x18,0x00,0x00, // 13
    // Wall with wall below
    //0x00,0xF8,0x64,0x42,0x42,0x64,0xF8,0x00, // 14
    0x00,0x00,0xF8,0x24,0x24,0xF8,0x00,0x00, // 14

    // R
    0x00,0x7F,0x7F,0x11,0x11,0x39,0x6E,0x4E,
    // E
    0x00,0x00,0x7F,0x7F,0x49,0x49,0x49,0x41,
    // A
    0x00,0x7C,0x7E,0x13,0x11,0x13,0x7E,0x7C,
    // D
    0x00,0x7F,0x7F,0x41,0x41,0x63,0x3E,0x1C,
    // Y
    0x00,0x00,0x07,0x0F,0x78,0x78,0x0F,0x07,
    // !
    0x00,0x00,0x40,0x1C,0x0F,0x07,0x03,0x00,

    // 0
    0x7C,0x82,0x7C,0x00,
    // 1
    0x84,0xFE,0x80,0x00,
    // 2
    0xC4,0xA2,0x1C,0x00,
    // 3
    0x44,0x92,0x6C,0x00,
    // 4
    0x3E,0x20,0xF8,0x00,
    // 5
    0x9E,0x92,0x62,0x00,
    // 6
    0x7C,0x92,0x60,0x00,
    // 7
    0x02,0xE2,0x1E,0x00,
    // 8
    0x6C,0x92,0x6C,0x00,
    // 9
    0x8C,0x92,0x7C,0x00,
    
};

const uint8_t digitGlyphs [] PROGMEM = {
    // 0
    0x7C,0x82,0x7C,
    // 1
    0x84,0xFE,0x80,
    // 2
    0xC4,0xA2,0x1C,
    // 3
    0x44,0x92,0x6C,
    // 4
    0x3E,0x20,0xF8,
    // 5
    0x9E,0x92,0x62,
    // 6
    0x7C,0x92,0x60,
    // 7
    0x02,0xE2,0x1E,
    // 8
    0x6C,0x92,0x6C,
    // 9
    0x8C,0x92,0x7C,    
};
